# $Revision: 1.32 $, $Date: 2009/06/18 10:49:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Leapyear
Summary:	Date::Leapyear Perl module - is a particular year a leap year?
Summary(pl.UTF-8):	Moduł Perla Date::Leapyear - sprawdzanie przestępności zadanego roku
Name:		perl-Date-Leapyear
Version:	1.72
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bdfe5e8d435d6afcf7103269450e514b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Test-Simple
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Is a particular year a leap year?

%description -l pl.UTF-8
Moduł Perla Date::Leapyear sprawdza, czy dany rok jest przestępny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Date/Leapyear.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Leapyear.spec,v $
Revision 1.32  2009/06/18 10:49:45  amateja
- updated to 1.72

Revision 1.31  2008/07/27 22:31:56  arekm
- release 5

Revision 1.30  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.28  2004/11/03 22:30:18  paladine
- formatting

Revision 1.27  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.26  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.25  2004/04/25 00:49:13  ankry
- rel. 3 for Ac

Revision 1.24  2004/04/25 00:48:26  ankry
- typos

Revision 1.23  2004/04/20 10:14:36  ankry
- new bconds

Revision 1.22  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.21  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.20  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.16  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:31:18  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/09/26 15:28:26  ankry
- version 1.71, release 1
- added tests on bcond
- fixed %%doc file list, cleaning

Revision 1.12  2002/07/20 15:02:38  qboosh
- BR: perl-Test-Simple

Revision 1.11  2002/07/20 10:19:16  qboosh
- added Readme to doc

Revision 1.10  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/08 09:19:27  qboosh
- added pl description, release 2

Revision 1.2  2002/01/06 05:50:28  kloczek
- release 1: License: Artistic.

Revision 1.1  2002/01/05 08:06:17  agaran
initial
